# Audio Commands using DTMF

This is a simple example of how to use DTMF elements of GStreamer with ergonomic Rust code.

## Installation

You will need to install the following dependencies from homebrew:

```bash
brew install gst-plugins-base gst-plugins-good gst-plugins-bad gst-plugins-ugly gst-libav
```

Edit the gst-plugins-bad formula to add the following line:

```ruby
depends_on "spandsp"
```

Set the following environment variables:

```bash
export HOMEBREW_NO_INSTALL_FROM_API=1
```

Then reinstall the formula from source:

```bash
brew reinstall --build-from-source gst-plugins-bad
```
